import javax.microedition.midlet.*;
import javax.microedition.lcdui.*;
import javax.microedition.lcdui.game.*;	// SpriteɕKv


public final class applet extends MIDlet implements CommandListener {

	private static Command cmdExit = new Command("Exit", Command.EXIT,1);
	private static Display display;

	// Font
	public static final int FONTSIZE_DX		= 10;
	public static final int FONTSIZE_DY		= 16;
	static Sprite sprFont16;


	/* ----------------------------------------------------------------------*/
	public applet() {
		display = Display.getDisplay(this);
		mycanvas canvas = new mycanvas();

		canvas.addCommand(cmdExit);
		canvas.setCommandListener(this);

		display.setCurrent( canvas );

		try {
			sprFont16 = new Sprite( Image.createImage( "/font16.png" ), FONTSIZE_DX, FONTSIZE_DY );
		} catch( Exception e ) {}

	}
	
	/* ----------------------------------------------------------------------*/
	public void startApp() {
	}

	/* ----------------------------------------------------------------------*/
	public void pauseApp() {
	}

	/* ----------------------------------------------------------------------*/
	public void destroyApp( boolean flag ) {
	}

	/* ----------------------------------------------------------------------*/
	public void commandAction(Command c, Displayable d) {
		try {
			destroyApp(true);
			notifyDestroyed();
		} catch ( Exception e) {}
	}
	
}


class mycanvas extends Canvas {
	mycanvas() {}
	
	/* ----------------------------------------------------------------------*/
    public void paint( Graphics g ) {
		g.setColor( 255, 255, 255 );
		g.fillRect( 0, 0, getWidth(), getHeight() );

		g.setColor( 0, 0, 0 );
		drawSpriteString( g, "This is Skelton app", 0, 0 );
	}

	/* ----------------------------------------------------------------------*/
    public void keyPressed( int keycode ) {
        switch ( getGameAction( keycode ) ) {
			case FIRE:
				repaint();
				break;

			default:
				break;
		}
	}

	//* -------------------------------------------------------- */
	public void drawSpriteString( Graphics g, String istr, int ix, int iy ) {
		char cc;

		try{
			for( int ii = 0; ii < istr.length(); ii++ ) {
				cc = istr.charAt( ii ) ;

				applet.sprFont16.setFrame( (int)cc-32 );
				applet.sprFont16.setPosition( (ix+ii) * 10, iy * 16 );
				applet.sprFont16.paint( g );
			}
		}catch( Exception e ){}
	}
}
